import szarvas as sz

print("""7. feladat: 	A feladathoz az adatokat a Mikulassszan.txt állományban találod. Ez egy rövid nyilvántartás, arról, hogy ki utazik a szánon.
1.	Olvasd be a mikulás rénszarvasainak adatait! 
a.	Írd ki a nevüket és a magasságukat.
b.	Hány rénszarvasa van a mikulásnak?
c.	Írd ki Pompás idegen nyelvű megfelelőjét!
d.	A rénszarvas leírásokban hányszor fordul elő a Mikulás szó?
e.	Átlagosa milyen magasak a rénszarvasok?
f.	Írd ki a páros helyen repülő szarvasok magyar nevét!
g.	Hányadik rénszarvasnak a leghosszabb a kiírása? (Kinek a leírása áll a legtöbb karakterből?)
h.	Ki repül a legkisebb sorszámú helyen?"""

)

adatok=[]

def beolvas():
    beFajl=open("forras/Mikulasszan.txt","r",encoding="utf-8")
    #Első sor nem kell
    beFajl.readline()
    #többi sor
    sorok=beFajl.readlines()
    for sor in sorok:
        adat=sor.strip()
        adat=adat.split("@")
        if adat[0]!="Santa Claus - Mikulás":
            fsorom=sz.szarvas(adat[0],adat[1],adat[2],adat[3])
            adatok.append(fsorom)
    beFajl.close

def kiir():
    for elem in adatok:
        print(elem)
    print("")

def kiirAfeladat():
    for elem in adatok:
        print(elem.kiirA())
    print("")

def szarvasokSzama():
    print("Rénszarvasok száma:",len(adatok),"\n")
    return len(adatok)

def idegen():
    for elem in adatok:
        darabolt=elem.nev.split(" – ")
        inev=darabolt[0]
        mnev=darabolt[1]
        if mnev=="Pompás":
            print(mnev,"idegen nyelvű megfelelője:",inev)
    print("")

def miku():
    db=0
    i=0
    while i<n:
        leiras=adatok[i].leiras.split(" ")
        for szo in leiras:
            if szo=="Mikulás":
                db+=1
        i+=1
    print("A mikulás szó", db,"x fordul elő!")
    print("")

def atlagMagassag():
    osszeg=0
    atlag=0
    for i in adatok:
        osszeg+=i.magassag
        atlag=osszeg/n
    print("A rénszarvasok átlag magassága:",atlag)
    print("")

def parosok():
    index=0
    print("A páros helyen repülő szarvasok magyar nevei:",end=" ")
    while index<n:
        if adatok[index].hely%2==0:
            darabolt= adatok[index].nev.split(" – ")
            inev = darabolt[0]
            mnev = darabolt[1]
            if index>0:
                print(",",darabolt[1], end="")
            else:
                print(darabolt[1],end="")
        index+=1
    print("")

def hosszu():
    maxHely=1
    maxErtek=len(adatok[0].leiras)
    for i in range(1,n):
        if len(adatok[i].leiras)>maxErtek:
            maxErtek=len(adatok[i].leiras)
            maxHely=i+1
    print("\nA leghosszabb kiírás {} hosszú, ez a {}. sorban található".format(maxErtek,maxHely))
    print("")

def elso():
    minErtek=adatok[0].hely
    minNev=adatok[0].nev
    for i in range(1,n):
        if adatok[i].hely<minErtek:
            minErtek=adatok[i].hely
            minNev=adatok[i].nev
    print("A lista elején {} repül".format(minNev))

beolvas()
kiir()
kiirAfeladat()
n=szarvasokSzama()
idegen()
miku()
atlagMagassag()
parosok()
hosszu()
elso()